Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230857 - Patch is needed in order to use wpa-supplicant with d80211 stack
Summary: Patch is needed in order to use wpa-supplicant with d80211 stack
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-03 20:33 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 14:20:55 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-03-03 20:33:00 UTC
Description of problem: Need a patch to work with d80211 included in kernel
2.6.21rc1


Version-Release number of selected component (if applicable): kernel 2.6.21rc1
that include d80211 stack


How reproducible: All time since using a d80211 based module

  
Additional info: See hostapd review request:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=230449
This may need to enable wpa_supplicant devel also but not sure 
(work in progress)

Suggested patch: (or else)
http://kernel.org/pub/linux/kernel/people/jbenc/ieee80211-utils/wpa_supplicant/wpa_supplicant-0.4.7_dscape-02.patch

NetworkManager may also need a patch to work with d80211 but i don't have worked
on the question!

Comment 1 Nicolas Chauvet (kwizart) 2007-03-03 21:52:50 UTC
I was testing this spec with some succes with rt2x00 (which uses d80211)
http://kwizart.free.fr/fedora/SPECS/wpa_supplicant.spec
the rt2x00-devel BR is obsolete of course...

This bug may be block by this one:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=230731


Comment 2 Dan Williams 2007-04-09 14:20:55 UTC
Patches adding new drivers will not be accepted; you should be using the -Dwext
driver instead.  mac80211 has some support for wext at this time, and it's
getting better, but it's not there yet.  Effort should go into making mac80211
correctly implement WEXT.

WEXT is the standard Linux wireless API which drivers need to implement.


Note You need to log in before you can comment on or make changes to this bug.